org.apache.tinkerpop.gremlin.process.traversal.step.sideEffect

## Class GroupCountTest

- java.lang.Object
- - org.apache.tinkerpop.gremlin.AbstractGremlinTest
  - - org.apache.tinkerpop.gremlin.process.AbstractGremlinProcessTest
    - - org.apache.tinkerpop.gremlin.process.traversal.step.sideEffect.GroupCountTest

- Direct Known Subclasses:
    GroupCountTest.Traversals

      public abstract class GroupCountTest
      extends AbstractGremlinProcessTest

  Author:
    Marko A. Rodriguez (http://markorodriguez.com), Stephen Mallette (http://stephen.genoprime.com)

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `GroupCountTest.Traversals`

  - ### Field Summary

    - ### Fields inherited from class org.apache.tinkerpop.gremlin.AbstractGremlinTest

      `config, g, graph, graphProvider, name, shouldTestIteratorLeak`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GroupCountTest()`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `g_V_both_groupCountXaX_byXlabelX_asXbX_barrier_whereXselectXaX_selectXsoftwareX_isXgtX2XXX_selectXbX_name()`
    `void` | `g_V_both_groupCountXaX_out_capXaX_selectXkeysX_unfold_both_groupCountXaX_capXaX()`
    `void` | `g_V_groupCount_byXbothE_countX()`
    `void` | `g_V_hasXnoX_groupCount()`
    `void` | `g_V_hasXnoX_groupCountXaX_capXaX()`
    `void` | `g_V_hasXperson_name_markoX_bothXknowsX_groupCount_byXvaluesXnameX_foldX()`
    `void` | `g_V_outXcreatedX_groupCount_byXnameX()`
    `void` | `g_V_outXcreatedX_groupCountXaX_byXnameX_capXaX()`
    `void` | `g_V_outXcreatedX_groupCountXxX_capXxX()`
    `void` | `g_V_outXcreatedX_name_groupCount()`
    `void` | `g_V_outXcreatedX_name_groupCountXaX_capXaX()`
    `void` | `g_V_repeatXout_groupCountXaX_byXnameXX_timesX2X_capXaX()`
    `void` | `g_V_unionXoutXknowsX__outXcreatedX_inXcreatedXX_groupCount_selectXvaluesX_unfold_sum()`
    `void` | `g_V_unionXrepeatXoutX_timesX2X_groupCountXmX_byXlangXX__repeatXinX_timesX2X_groupCountXmX_byXnameXX_capXmX()`
    `abstract Traversal<Vertex,String>` | `get_g_V_both_groupCountXaX_byXlabelX_asXbX_barrier_whereXselectXaX_selectXsoftwareX_isXgtX2XXX_selectXbX_name()`
    `abstract Traversal<Vertex,Map<Vertex,Long>>` | `get_g_V_both_groupCountXaX_out_capXaX_selectXkeysX_unfold_both_groupCountXaX_capXaX()`
    `abstract Traversal<Vertex,Map<Long,Long>>` | `get_g_V_groupCount_byXbothE_countX()`
    `abstract Traversal<Vertex,Map<Object,Long>>` | `get_g_V_hasXnoX_groupCount()`
    `abstract Traversal<Vertex,Map<Object,Long>>` | `get_g_V_hasXnoX_groupCountXaX_capXaX()`
    `abstract Traversal<Vertex,Map<Object,Long>>` | `get_g_V_hasXperson_name_markoX_bothXknowsX_groupCount_byXvaluesXnameX_foldX()`
    `abstract Traversal<Vertex,Map<String,Long>>` | `get_g_V_outXcreatedX_groupCount_byXnameX()`
    `abstract Traversal<Vertex,Map<String,Long>>` | `get_g_V_outXcreatedX_groupCountXaX_byXnameX_capXaX()`
    `abstract Traversal<Vertex,Map<Vertex,Long>>` | `get_g_V_outXcreatedX_groupCountXxX_capXxX()`
    `abstract Traversal<Vertex,Map<String,Long>>` | `get_g_V_outXcreatedX_name_groupCount()`
    `abstract Traversal<Vertex,Map<String,Long>>` | `get_g_V_outXcreatedX_name_groupCountXaX_capXaX()`
    `abstract Traversal<Vertex,Map<String,Long>>` | `get_g_V_repeatXout_groupCountXaX_byXnameXX_timesX2X_capXaX()`
    `abstract Traversal<Vertex,Long>` | `get_g_V_unionXoutXknowsX__outXcreatedX_inXcreatedXX_groupCount_selectXvaluesX_unfold_sum()`
    `abstract Traversal<Vertex,Map<String,Long>>` | `get_g_V_unionXrepeatXoutX_timesX2X_groupCountXmX_byXlangXX__repeatXinX_timesX2X_groupCountXmX_byXnameXX_capXmX()`

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.process.AbstractGremlinProcessTest

      `checkMap, checkOrderedResults, checkResults, checkResults, checkSideEffects, graphMeetsTestRequirements, hasGraphComputerRequirement, makeMapList, setupTest`

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.AbstractGremlinTest

      `afterLoadGraphWith, assertVertexEdgeCounts, beforeLoadGraphWith, convertToEdge, convertToEdgeId, convertToEdgeId, convertToVertex, convertToVertex, convertToVertexId, convertToVertexId, convertToVertexProperty, convertToVertexPropertyId, convertToVertexPropertyId, getAssertVertexEdgeCounts, printTraversalForm, setup, tearDown, tryCommit, tryCommit, tryRollback, validateException, verifyUniqueStepIds`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GroupCountTest

          public GroupCountTest()

  - ### Method Detail

    - #### get_g_V_outXcreatedX_groupCount_byXnameX

          public abstract Traversal<Vertex,Map<String,Long>> get_g_V_outXcreatedX_groupCount_byXnameX()

    - #### get_g_V_outXcreatedX_groupCountXaX_byXnameX_capXaX

          public abstract Traversal<Vertex,Map<String,Long>> get_g_V_outXcreatedX_groupCountXaX_byXnameX_capXaX()

    - #### get_g_V_outXcreatedX_name_groupCount

          public abstract Traversal<Vertex,Map<String,Long>> get_g_V_outXcreatedX_name_groupCount()

    - #### get_g_V_outXcreatedX_groupCountXxX_capXxX

          public abstract Traversal<Vertex,Map<Vertex,Long>> get_g_V_outXcreatedX_groupCountXxX_capXxX()

    - #### get_g_V_outXcreatedX_name_groupCountXaX_capXaX

          public abstract Traversal<Vertex,Map<String,Long>> get_g_V_outXcreatedX_name_groupCountXaX_capXaX()

    - #### get_g_V_hasXnoX_groupCount

          public abstract Traversal<Vertex,Map<Object,Long>> get_g_V_hasXnoX_groupCount()

    - #### get_g_V_hasXnoX_groupCountXaX_capXaX

          public abstract Traversal<Vertex,Map<Object,Long>> get_g_V_hasXnoX_groupCountXaX_capXaX()

    - #### get_g_V_repeatXout_groupCountXaX_byXnameXX_timesX2X_capXaX

          public abstract Traversal<Vertex,Map<String,Long>> get_g_V_repeatXout_groupCountXaX_byXnameXX_timesX2X_capXaX()

    - #### get_g_V_unionXrepeatXoutX_timesX2X_groupCountXmX_byXlangXX__repeatXinX_timesX2X_groupCountXmX_byXnameXX_capXmX

          public abstract Traversal<Vertex,Map<String,Long>> get_g_V_unionXrepeatXoutX_timesX2X_groupCountXmX_byXlangXX__repeatXinX_timesX2X_groupCountXmX_byXnameXX_capXmX()

    - #### get_g_V_groupCount_byXbothE_countX

          public abstract Traversal<Vertex,Map<Long,Long>> get_g_V_groupCount_byXbothE_countX()

    - #### get_g_V_unionXoutXknowsX__outXcreatedX_inXcreatedXX_groupCount_selectXvaluesX_unfold_sum

          public abstract Traversal<Vertex,Long> get_g_V_unionXoutXknowsX__outXcreatedX_inXcreatedXX_groupCount_selectXvaluesX_unfold_sum()

    - #### get_g_V_both_groupCountXaX_out_capXaX_selectXkeysX_unfold_both_groupCountXaX_capXaX

          public abstract Traversal<Vertex,Map<Vertex,Long>> get_g_V_both_groupCountXaX_out_capXaX_selectXkeysX_unfold_both_groupCountXaX_capXaX()

    - #### get_g_V_both_groupCountXaX_byXlabelX_asXbX_barrier_whereXselectXaX_selectXsoftwareX_isXgtX2XXX_selectXbX_name

          public abstract Traversal<Vertex,String> get_g_V_both_groupCountXaX_byXlabelX_asXbX_barrier_whereXselectXaX_selectXsoftwareX_isXgtX2XXX_selectXbX_name()

    - #### get_g_V_hasXperson_name_markoX_bothXknowsX_groupCount_byXvaluesXnameX_foldX

          public abstract Traversal<Vertex,Map<Object,Long>> get_g_V_hasXperson_name_markoX_bothXknowsX_groupCount_byXvaluesXnameX_foldX()

    - #### g_V_outXcreatedX_groupCount_byXnameX

          public void g_V_outXcreatedX_groupCount_byXnameX()

    - #### g_V_outXcreatedX_groupCountXaX_byXnameX_capXaX

          public void g_V_outXcreatedX_groupCountXaX_byXnameX_capXaX()

    - #### g_V_outXcreatedX_groupCountXxX_capXxX

          public void g_V_outXcreatedX_groupCountXxX_capXxX()

    - #### g_V_outXcreatedX_name_groupCount

          public void g_V_outXcreatedX_name_groupCount()

    - #### g_V_outXcreatedX_name_groupCountXaX_capXaX

          public void g_V_outXcreatedX_name_groupCountXaX_capXaX()

    - #### g_V_hasXnoX_groupCount

          public void g_V_hasXnoX_groupCount()

    - #### g_V_hasXnoX_groupCountXaX_capXaX

          public void g_V_hasXnoX_groupCountXaX_capXaX()

    - #### g_V_repeatXout_groupCountXaX_byXnameXX_timesX2X_capXaX

          public void g_V_repeatXout_groupCountXaX_byXnameXX_timesX2X_capXaX()

    - #### g_V_unionXrepeatXoutX_timesX2X_groupCountXmX_byXlangXX__repeatXinX_timesX2X_groupCountXmX_byXnameXX_capXmX

          public void g_V_unionXrepeatXoutX_timesX2X_groupCountXmX_byXlangXX__repeatXinX_timesX2X_groupCountXmX_byXnameXX_capXmX()

    - #### g_V_groupCount_byXbothE_countX

          public void g_V_groupCount_byXbothE_countX()

    - #### g_V_unionXoutXknowsX__outXcreatedX_inXcreatedXX_groupCount_selectXvaluesX_unfold_sum

          public void g_V_unionXoutXknowsX__outXcreatedX_inXcreatedXX_groupCount_selectXvaluesX_unfold_sum()

    - #### g_V_both_groupCountXaX_out_capXaX_selectXkeysX_unfold_both_groupCountXaX_capXaX

          public void g_V_both_groupCountXaX_out_capXaX_selectXkeysX_unfold_both_groupCountXaX_capXaX()

    - #### g_V_both_groupCountXaX_byXlabelX_asXbX_barrier_whereXselectXaX_selectXsoftwareX_isXgtX2XXX_selectXbX_name

          public void g_V_both_groupCountXaX_byXlabelX_asXbX_barrier_whereXselectXaX_selectXsoftwareX_isXgtX2XXX_selectXbX_name()

    - #### g_V_hasXperson_name_markoX_bothXknowsX_groupCount_byXvaluesXnameX_foldX

          public void g_V_hasXperson_name_markoX_bothXknowsX_groupCount_byXvaluesXnameX_foldX()

Copyright © 2013–2022 Apache Software Foundation. All rights reserved.